Sets a text snippet generator for highlighted text

- « SolrQuery::setHighlightFormatter

- SolrQuery::setHighlightFragsize »

- PHP Manual
- SolrQuery
- Sets a text snippet generator for highlighted text

# SolrQuery::setHighlightFragmenter

(PECL solr >= 0.9.2)

SolrQuery::setHighlightFragmenter — Sets a text snippet generator for highlighted text

### Description

public SolrQuery::setHighlightFragmenter(string `$fragmenter`, string `$field_override` = ?): SolrQuery

Specify a text snippet generator for highlighted text.

### Parameters

`fragmenter`

  The standard fragmenter is gap. Another option is regex, which tries to create fragments that resembles a certain regular expression

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.